petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecPow

Replaces each component of a vector by x_i^p

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPow(Vec v, PetscScalar p)

Logically Collective on v Many br

### Input Parameter

| v | - the vector Many br
| p | - the exponent to use on each element Many br

### Output Parameter

v -the vector Many br

Many br

Level:intermediate
Location:src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages